Bug 1313766 - Installer does not expose option to install remote execution plugin on smart proxy
Summary: Installer does not expose option to install remote execution plugin on smart ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Lukas Pramuk
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1316947 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-02 10:20 UTC by Marek Hulan
Modified: 2019-09-26 14:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:03:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13951 None None None 2016-03-11 14:00:42 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Marek Hulan 2016-03-02 10:20:40 UTC
Since there's no mention of plugin in katello scenario, the option to enable it is missing when running foreman-installer.

Comment 1 Marek Hulan 2016-03-02 10:20:44 UTC
Created from redmine issue http://projects.theforeman.org/issues/13951

Comment 2 Marek Hulan 2016-03-02 10:20:48 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Bryan Kearney 2016-03-02 15:04:28 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13951 has been closed
-------------
Marek Hulán
Applied in changeset commit:katello-installer|8c27d10955df8557257261c1e3fbc823a45dbadf.

Comment 5 Stephen Benjamin 2016-03-11 14:01:08 UTC
*** Bug 1316947 has been marked as a duplicate of this bug. ***

Comment 7 Lukas Pramuk 2016-04-27 09:42:14 UTC
VERIFIED.

@Sat6.2.0-Beta-Snap9.2
foreman-installer-1.11.0.3-1.el7sat.noarch

# foreman-installer -S katello -h
...
    --[no-]enable-foreman-proxy-plugin-remote-execution-ssh Enable 'foreman_proxy_plugin_remote_execution_ssh' puppet module (default: true)
...

# foreman-installer -S capsule -h
...
    --[no-]enable-foreman-proxy-plugin-remote-execution-ssh Enable 'foreman_proxy_plugin_remote_execution_ssh' puppet module (default: true)
...

>>> both scenarios have the option

Comment 9 errata-xmlrpc 2016-07-27 09:03:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.